%define fefpcl_pkg	FJSVfefpcl-RHEL6

Name:		%{fefpcl_pkg}
Version:	4.1.6
Release:	1
Summary:	HBA Blockage Function

License:	GPLv2
Group:		System/Kernel

Packager:	FUJITSU LIMITED
Vendor:		FUJITSU LIMITED
URL:		http://www.fujitsu.com/

Source0:	%{fefpcl_pkg}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{fefpcl_pkg}-%{version}-build
BuildRequires:	%kernel_module_package_buildreqs
ExclusiveOS:	Linux

%description
This package provides the FJSVfefpcl-RHEL6 driver part.

%kernel_module_package


%prep
%setup
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
rm -rf obj/source
cp -r source obj
cd obj/source/driver
./bootstrap
make CDIR=%{kernel_source default} MDIR=$PWD
cd ..
cd panicforpcl
make CDIR=%{kernel_source default} MDIR=$PWD
cd ..

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=extra/%{name}
cd obj/source/driver
make CDIR=%{kernel_source default} modules_install MDIR=$PWD
cd ..
cd panicforpcl
make CDIR=%{kernel_source default} install MDIR=$PWD
cd ..

chmod u+x $RPM_BUILD_ROOT/lib/modules/*/extra/%{name}/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog

* Fri Jun 15 2018 FUJITSU LIMITED
- Build for Red Hat Enterprise Linux 6. (BS01653)
- Retpoline support for speculative execution branch target injection (CVE-2017-5715).

* Tue Jul 28 2015 FUJITSU LIMITED
- Build for Red Hat Enterprise Linux 6. (BS01610)
- Update y21FJSVfefpcl-mkrd

* Fri Mar 1 2013 FUJITSU LIMITED
- Build for Red Hat Enterprise Linux 6. (BS01547)
- Update fefpcl.ko

* Mon May 21 2012 FUJITSU LIMITED
- Build for Red Hat Enterprise Linux 6. (BS01495)
- Support x86 and Intel64.

* Wed Dec 14 2011 FUJITSU LIMITED
- Build for Red Hat Enterprise Linux 6. (BS01448)
- Support x86 and Intel64.

* Wed Oct 12 2011 FUJITSU LIMITED
- Build for Red Hat Enterprise Linux 6. (BS01439)
- Support x86 and Intel64.

* Thu May 26 2011 FUJITSU LIMITED
- Build for Red Hat Enterprise Linux 6. (BS01392)
- Update fefpcl.ko

* Thu Oct 5 2010 FUJITSU LIMITED
- Build for Red Hat Enterprise Linux 6. (BS01291)
- Support x86 and Intel64.

* Thu Aug 17 2010 FUJITSU LIMITED
- Build for Red Hat Enterprise Linux 6. (BS01279)
- Support x86 and Intel64.
