#!/bin/sh
#
# Copyright (C) 2009, 2011  FUJITSU LIMITED
#
#  FJSVfefpcl script
#
### define #######################################
#UNAME=$(uname -r)
#PID=$$
#DATE=$(date +"%b %d %H:%M:%S")
PROC_FILE="/proc/panicforpcl/message"
SADUMP_STATUS="/var/lock/subsys/sadump"
SADUMP_STATUS_2="/etc/sadump_service_status"
HALT=2
OK=0
NG=1
### proc #########################################
lsmod | grep -wq "panicforpcl"
if [ $? -ne 0 ];then
	exit $NG
fi

if [ -f $PROC_FILE ];then
	#When kdump succeeded or sadump stop, status is changed to HALT.
	if [ $1 -eq 0 ]; then
		echo $HALT > $PROC_FILE
	elif [ ! -f $SADUMP_STATUS -a ! -f $SADUMP_STATUS_2 ]; then
		echo $HALT > $PROC_FILE
	fi
else
	exit $NG
fi
exit $OK
