%define fefpcl_pkg      FJSVfefpcl-RHEL6-kmod-common

Name:		%{fefpcl_pkg}
Version:	4.1.6
Release:	1
Summary:	HBA Blockage Function

License:	Proprietary
Group:		System Environment/Base

Packager:	FUJITSU LIMITED
Vendor:		FUJITSU LIMITED
URL:		http://www.fujitsu.com/

Source0:	%{fefpcl_pkg}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{fefpcl_pkg}-%{version}-%{release}-rpmbuildroot
BuildRequires:	rpm >= 4.4.2, kernel >= 2.6.32, kernel-devel >= 2.6.32, coreutils, bash, bzip2, tar, make, sed, gcc, binutils
ExclusiveOS:	Linux

%description
This package provides the FJSVfefpcl-RHEL6 command part.

%prep
%setup -n %{fefpcl_pkg}-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
mkdir -p $RPM_BUILD_ROOT/etc/opt/FJSVfefpcl/etc
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/var/opt/FJSVfefpcl/log
mkdir -p $RPM_BUILD_ROOT/var/opt/FJSVfefpcl/run
mkdir -p $RPM_BUILD_ROOT/var/opt/FJSVfefpcl/lock
mkdir -p $RPM_BUILD_ROOT/var/crash/scripts
install etc/init.d/y20FJSVfefpcl              $RPM_BUILD_ROOT/etc/init.d
install etc/init.d/y21FJSVfefpcl-mkrd         $RPM_BUILD_ROOT/etc/init.d
install etc/opt/FJSVfefpcl/etc/panicforpcl.sh $RPM_BUILD_ROOT/etc/opt/FJSVfefpcl/etc
install etc/opt/FJSVfefpcl/alterpm.conf       $RPM_BUILD_ROOT/etc/opt/FJSVfefpcl
install sbin/fefpcl                           $RPM_BUILD_ROOT/sbin/fefpcl
touch                                         $RPM_BUILD_ROOT/var/opt/FJSVfefpcl/lock/.fefpcl.lock
install var/crash/scripts/fefpcl_post.sh      $RPM_BUILD_ROOT/var/crash/scripts
install etc/logrotate.d/FJSVfefpcl            $RPM_BUILD_ROOT/etc/logrotate.d

%clean
rm -rf $RPM_BUILD_ROOT


# rpm -i:                     %pre, %post    : $1=1
# rpm -U: 1. new pkg: rpm -i: %pre, %post    : $1=2
#       : 2. old pkg: rpm -e: %preun, %postun: $1=1
# rpm -e:                     %preun, %postun: $1=0  
%post
/sbin/chkconfig --add y20FJSVfefpcl
/sbin/chkconfig --add y21FJSVfefpcl-mkrd
touch /etc/opt/FJSVfefpcl/hba_addr.conf
chmod 0600 /etc/opt/FJSVfefpcl/hba_addr.conf

%preun
/etc/opt/FJSVfefpcl/etc/panicforpcl.sh kdumpunset >/dev/null 2>&1
/sbin/service y21FJSVfefpcl-mkrd force-delete > /dev/null 2>&1
/sbin/chkconfig --del y21FJSVfefpcl-mkrd
/sbin/service y20FJSVfefpcl force-stop > /dev/null 2>&1
/sbin/chkconfig --del y20FJSVfefpcl

%files
%defattr(-,root,root)
/etc/opt/FJSVfefpcl/
/var/opt/FJSVfefpcl/
%attr(755,-,-) /etc/init.d/y20FJSVfefpcl
%attr(755,-,-) /etc/init.d/y21FJSVfefpcl-mkrd
%attr(755,-,-) /etc/opt/FJSVfefpcl/etc/panicforpcl.sh
%attr(600,-,-) /etc/opt/FJSVfefpcl/alterpm.conf
%attr(755,-,-) /sbin/fefpcl
%attr(600,-,-) /var/opt/FJSVfefpcl/lock/.fefpcl.lock
%attr(755,-,-) /var/crash/scripts/fefpcl_post.sh
%attr(755,-,-) /etc/logrotate.d/FJSVfefpcl
/usr/lib/debug/sbin/fefpcl.debug

%changelog

* Fri Jun 15 2018 FUJITSU LIMITED
- Build for Red Hat Enterprise Linux 6. (BS01653)
- Retpoline support for speculative execution branch target injection (CVE-2017-5715).

* Tue Jul 28 2015 FUJITSU LIMITED
- Build for Red Hat Enterprise Linux 6. (BS01610)
- Update y21FJSVfefpcl-mkrd

* Fri Mar 1 2013 FUJITSU LIMITED
- Build for Red Hat Enterprise Linux 6. (BS01547)
- Update fefpcl.ko

* Mon May 21 2012 FUJITSU LIMITED
- Build for Red Hat Enterprise Linux 6. (BS01495)
- Support x86 and Intel64.

* Wed Dec 14 2011 FUJITSU LIMITED
- Build for Red Hat Enterprise Linux 6. (BS01448)
- Support x86 and Intel64.

* Wed Oct 12 2011 FUJITSU LIMITED
- Build for Red Hat Enterprise Linux 6. (BS01439)
- Support x86 and Intel64.

* Thu May 26 2011 FUJITSU LIMITED
- Build for Red Hat Enterprise Linux 6. (BS01392)
- Update fefpcl.ko

* Thu Oct 5 2010 FUJITSU LIMITED
- Build for Red Hat Enterprise Linux 6. (BS01291)
- Support x86 and Intel64.

* Thu Aug 17 2010 FUJITSU LIMITED
- Build for Red Hat Enterprise Linux 6. (BS01279)
- Support x86 and Intel64.
